<?php

	class AKB_INDEX
	{
		/**
		* HandlePage
		* The default page handler
		*
		* @return void
		*/
		function HandlePage()
		{
			// Determine which function to load
			$GLOBALS['HideIntro'] = '';
			$ToDo = '';

			switch ($ToDo) {
				default:
					$this->ShowHomePage();
			}
		}

		/**
		* ShowHomePage
		* Show the home page
		*
		* @return void
		*/
		function ShowHomePage()
		{
			// Load the home page of the front end
			$news = new API_NEWS();
			if (!$news->getTotalVisibleNews()) {
				$GLOBALS['HidePanels'][] = 'NewsQuestionsPanel';
			}
			$GLOBALS['AKB_CLASS_TEMPLATE']->SetPageTitle($GLOBALS['knowledgebaseName']);
			$GLOBALS['AKB_CLASS_TEMPLATE']->SetTemplate('Default');
			$GLOBALS['AKB_CLASS_TEMPLATE']->ParseTemplate();
		}
	}
?>
